Skip to main content
GET
/
contract_interactions
/
base_asset_id
/
{baseAssetId}
/
tx_hash
/
{txHash}
/
receipt
TypeScript
const response: Promise<FireblocksResponse<TransactionReceiptResponse>> = fireblocks.contractInteractions.getTransactionReceipt(contractInteractionsApiGetTransactionReceiptRequest);
{
  "blockHash": "0x6e3c92a3d96f96e46b7f39c30244edb6e8e0f4b65d3846c9f8287f9dd5d1a3d2",
  "blockNumber": 123456,
  "cumulativeGasUsed": 21000,
  "effectiveGasPrice": 1000000000,
  "from": "0xa7D9ddBE1f17865597Fbd27ec712455208B6b76D",
  "gasUsed": 21000,
  "logs": [
    {
      "address": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
      "topics": [
        "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
        "0x000000000000000000000000a7d9ddbe1f17865597fbd27ec712455208b6b76d",
        "0x000000000000000000000000c2c4e1db41f0bb97996d0ed0542d2170d146fb66"
      ],
      "data": "0x000000000000000000000000000000000000000000000000000000000000000a",
      "blockNumber": 123456,
      "transactionHash": "0x5a3b7f4b2c9e4a0b1f8a12c8e5f1d0e2a6b4c9d1f7e2b1a2b3c4d5e6f7a8b9c",
      "transactionIndex": 2,
      "blockHash": "0x6e3c92a3d96f96e46b7f39c30244edb6e8e0f4b65d3846c9f8287f9dd5d1a3d2",
      "logIndex": 1,
      "removed": false
    }
  ],
  "logsBloom": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "status": 1,
  "transactionHash": "0x5a3b7f4b2c9e4a0b1f8a12c8e5f1d0e2a6b4c9d1f7e2b1a2b3c4d5e6f7a8b9c",
  "transactionIndex": 3,
  "type": "0x2",
  "contractAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
  "to": "0x1eC4a8bB9bB9Afa24f79cC2e1423cD00B6cFf50"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

baseAssetId
string
required

The blockchain base assetId

txHash
string
required

The transaction hash

Response

Retrieved The Transaction Receipt Successfully

blockHash
string
required

The block hash

Example:

"0x6e3c92a3d96f96e46b7f39c30244edb6e8e0f4b65d3846c9f8287f9dd5d1a3d2"

blockNumber
integer
required

The block number

Example:

123456

cumulativeGasUsed
integer
required

The cumulative gas used in the transaction

Example:

21000

effectiveGasPrice
integer
required

The effective gas price

Example:

1000000000

from
string
required

Sender address

Example:

"0xa7D9ddBE1f17865597Fbd27ec712455208B6b76D"

gasUsed
integer
required

Gas used by the transaction

Example:

21000

logs
object[]
required

Array of transaction logs

logsBloom
string
required

Logs bloom filter

Example:

"0x0000000000000000000000000000000000000000000000000000000000000000"

status
integer
required

Transaction status (1 for success, 0 for failure)

Example:

1

transactionHash
string
required

The transaction hash

Example:

"0x5a3b7f4b2c9e4a0b1f8a12c8e5f1d0e2a6b4c9d1f7e2b1a2b3c4d5e6f7a8b9c"

transactionIndex
integer
required

Transaction index in the block

Example:

3

type
string
required

Type of transaction

Example:

"0x2"

contractAddress
string | null

The address of deployed contract

Example:

"0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66"

to
string | null

Recipient address

Example:

"0x1eC4a8bB9bB9Afa24f79cC2e1423cD00B6cFf50"